All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::backend::detail::convert_to_opencl< T > Struct Template Reference

Helper struct for converting a type to its OpenCL pendant. More...

`#include <util.hpp>`

## Public Types

enum | { special = 0 }
typedef T | type

## Detailed Description

### template<typename T>
struct viennacl::backend::detail::convert_to_opencl< T >

Helper struct for converting a type to its OpenCL pendant.

Definition at line 45 of file util.hpp.

## Member Typedef Documentation

template<typename T>

typedef T viennacl::backend::detail::convert_to_opencl< T >::type

Definition at line 47 of file util.hpp.

## Member Enumeration Documentation

template<typename T>

anonymous enum

Enumerator
special |

Definition at line 48 of file util.hpp.

The documentation for this struct was generated from the following file:

- viennacl/backend/util.hpp